Přidat otázku mezi oblíbenéZasílat nové odpovědi e-mailem Ubuntu nejde aktualizovat,ani přes sudo apt update(upgrade).Nejde Firefox, Brave. Jde TOR

V týdnu nám nezávisle na 2 noteboocích začal TOR dávat po spuštění hlášku

Adresa: jar:file:///home/eeeee/.local/share/torbrowser/tbb/x86_64/tor-browser_cs/Browser/omni.ja!/chrome/torbutton/content/aboutTor/aboutTor.xhtml
Řádek 57, sloupec 13:
&aboutTor.yec2022.powered_by_privacy;
------------^

Na Lupě jsem se dočetl, že NUKIB vydal varování před závažnou zranitelností WI-FI v linuxovém jádru.

Hlásilo mi to ve čtvrtek, že je třeba nová aktualizace. Tu jsem spustil až včera, ale nezdařilo se. Dnes ráno jsem to zkoušel i přes příkazový řádek sudo apt update a pak upgrade a opět to nešlo.

Zkusil jsem to pro jistotu na druhém notebooku, který nepoužívám já a také to nešlo aktualizovat ani jedním způsobem.

Pak už jsme se začali připojovat pouze přes kabel a nikoliv přes wi-fi, že bychom se pokusili nějak aktualizovat opravnou verzi jádra, ale zjistili jsme ještě stejný problém, že ani na jednom notebooku nefungují prohlížeče Firefox a Brave. Funguje pouze prohlížeč TOR, který stála ukazuje tu hlášku.

Má někdo podobný problém? A co s tím?

Předmět Autor Datum
Tady je obecná poradna ... i když kvalitní. Zkus se obrátit na forum Ubuntu ... se na takovéto probl…
tojezdenek 23.10.2022 08:40
tojezdenek
Na Ubuntu fóru mu jako první řeknou, ať se podívá do logu. Já bych k tomu dodal, že by si měl ty pro…
RedMaX 23.10.2022 10:01
RedMaX
Tak snad víš jak sis ten Tor nainstaloval, co jsi nastavil za DNS atd. S exploitem na Wifi to NEbude…
touchwood 23.10.2022 09:54
touchwood
Jedna věc je samozřejmě oprava jádra. A druhá věc je, proč vyskakuje hláška v TORU. Stalo se to nez…
jakovlev 23.10.2022 11:40
jakovlev
Posílám ty chové hlášky sudo apt update Ign:1 http://security.ubuntu.com/ubuntu jammy-security InR…
jakovlev 23.10.2022 12:41
jakovlev
Tak v první řadě, nestahují se ti repozitáře, takže cokoli je problém dál, to nemá smysl řešit. W:…
touchwood 23.10.2022 19:58
touchwood
sudo apt upgrade Načítají se seznamy balíků… Hotovo Vytváří se strom závislostí… Hotovo Načítají se…
jakovlev 23.10.2022 13:10
jakovlev
To co tady vypisujes je jen jak poustis aktualizace systemu. Jak te jiz spravnym smerem slusne nasme…
HPET 23.10.2022 15:06
HPET
Aktualizace spouštím, ale nefungují a nevím proč? Myslel jsem, jestli se to z toho dá vyčíst? Tak n…
jakovlev 23.10.2022 15:40
jakovlev
Aktualizace spouštím, ale nefungují a nevím proč? Myslel jsem, jestli se to z toho dá vyčíst? Na ko…
HPET 23.10.2022 15:47
HPET
Protože se mají podle Úřadu pro kybernetickou bezpečnost dát opravné verze jádra. Jejich označení ní…
jakovlev 23.10.2022 16:06
jakovlev
apt-get update --fix-missing Načítají se seznamy balíků… Hotovo E: Nešlo otevřít zámkový soubor /var…
jakovlev 23.10.2022 16:10
jakovlev
Spustel jsi to jako sudo ? sudo apt-get update --fix-missing
HPET 23.10.2022 16:16
HPET
$ sudo apt-get update --fix-missing Mám:1 http://nl.archive.ubuntu.com/ubuntu jammy InRelease Mám:2…
jakovlev 23.10.2022 16:21
jakovlev
Takze se aktualizace zdarila az na ten zdroj co jsi pridal 'teejee2008/ppa/ubuntu' Myslim ze by stac…
HPET 23.10.2022 16:51
HPET
Tady jsem nikde ten řádek nenašel https://ppa.launchpadcontent.net/teejee2008/ppa/ubuntu GNU nano 6…
jakovlev 23.10.2022 17:00
jakovlev
A tenhle starší jednoduchý návod nelze pro tento případ použít? Pres "mode rescue" do ktereho se do…
jakovlev 23.10.2022 17:16
jakovlev
Na tom druhém se mi podařilo přes klávesu SHIFT dostat do GNU GRUB a je tam 5.15.0-48 a 5.15.0-50. C…
jakovlev 23.10.2022 17:35
jakovlev
ježiš neřeš různá jádra, řeš repozitáře... hoď sem obsah tvého sources.list tohle je generický sez…
touchwood 23.10.2022 20:04
touchwood
Jen doplnim, ze ho muze nahrat/nahradit vychozim sources.list : https://gist.github.com/ishad0w/218…
HPET 23.10.2022 23:11
HPET
Jasně že se to dá vyčíst. Err:1 http://nl.archive.ubuntu.com/ubuntu jammy-updates/main amd64 pulsea…
touchwood 23.10.2022 19:59
touchwood
journalctl :
jakovlev 23.10.2022 16:02
jakovlev
Bych se s tím nepatlal a neztrácel čas a přeinstaloval s přeformátováním /. Jsou tam zmršené repozit…
Rce 23.10.2022 22:55
Rce
Taky možnost, ale nic se tím nenaučí. Takhle má příležitost se naučit kousek z debianího univerza. poslední
touchwood 24.10.2022 05:47
touchwood

Tak snad víš jak sis ten Tor nainstaloval, co jsi nastavil za DNS atd.
S exploitem na Wifi to NEbude na 99.999% souviset, spíše v tom vidím práci domácího patlala (který neví, co kde poklikal - bez záměrné urážky, pouze nazývám věci pravými jmény)

Kdybys místo toho "nešlo to" napsal chybové hlášky od apt, udělal bys 100x líp.

Jedna věc je samozřejmě oprava jádra.

A druhá věc je, proč vyskakuje hláška v TORU. Stalo se to nezávisle na 3 noteboocích, které nejsou ve stejném městě, dokonce 2 ani ve stejné zemi. Takže to určitě nebude nějakým klikáním. A stalo se to zhruba ve stejném období.

TOR se nastavoval všude přímo ze Software Ububuntu někdy asi před měsícem. A je pravda, že všechny 3 se přinstalovávalo stejně a ve stejnou dobu na stejném místě. Nevím, co ta hláška znamená, ale jinak funguje TOR normálně dál.

Spíše mi vadí to, žena dvou noteboocích nejde Brave a Firefox. Samozřejmě jsem sem chtěl přidat ještě chybové hlášky, ale protože na zdejší poradnu nelze dávat dotazy přes TOR, už mi to nešlo. Horko těžko jsem položil rychle dotaz a upravovat a reagovat už nijak nešlo. Pokusím se sem ještě ty hlášky dát, pokud to půjde.

Už jsem jednou tento problém měl, že šel pouze TOR a ostatní prohlížeče ne. Ale žádnou hlášku to tehdy nehlásilo. Prostě jsem to přeinstaloval a bylo to.

Teď mě překvapilo to, že se to stalo na dvou notebocích současně. Nejprve na mém, když jsem začal aktualizovat běžným způsobem. Něco se z té aktualizace načetlo, ale pak se to zaseklo a tak jsem to po dvou hodinách vypnul.Ráno jsem to zkusil aktualizovat pouze přes příkazový řádek sudo apt update a sudo apt upgrade a také to nešlo (jsem na jiném pc, takže to nemám u sebe, pokusím sem dát ty chybové hlášky).

Zkusil jsem to ihned ještě na tom druhém přes příkazový řádek a dopadlo to stejně.

A na obou OD TÉ CHVÍLE přestal fungovat ten Firefox a Brave.

Na tom třetím se raději nic neaktualizovalo a funguje normálně (vyjmá té hlášky v TORU)

Posílám ty chové hlášky

sudo apt update

Ign:1 http://security.ubuntu.com/ubuntu jammy-security InRelease
Ign:2 http://nl.archive.ubuntu.com/ubuntu jammy InRelease
Ign:3 https://repo.protonvpn.com/debian stable InRelease
Ign:4 https://ppa.launchpadcontent.net/unit193/encryption/ubuntu jammy InRelease
Ign:5 http://nl.archive.ubuntu.com/ubuntu jammy-updates InRelease
Ign:1 http://security.ubuntu.com/ubuntu jammy-security InRelease
Ign:3 https://repo.protonvpn.com/debian stable InRelease
Ign:4 https://ppa.launchpadcontent.net/unit193/encryption/ubuntu jammy InRelease
Ign:6 http://nl.archive.ubuntu.com/ubuntu jammy-backports InRelease
Ign:3 https://repo.protonvpn.com/debian stable InRelease
Ign:4 https://ppa.launchpadcontent.net/unit193/encryption/ubuntu jammy InRelease
Ign:1 http://security.ubuntu.com/ubuntu jammy-security InRelease
Ign:2 http://nl.archive.ubuntu.com/ubuntu jammy InRelease
Err:3 https://repo.protonvpn.com/debian stable InRelease
Dočasné selhání při zjišťování „repo.protonvpn.com“
Err:4 https://ppa.launchpadcontent.net/unit193/encryption/ubuntu jammy InRelease
Dočasné selhání při zjišťování „ppa.launchpadcontent.net“
Err:1 http://security.ubuntu.com/ubuntu jammy-security InRelease
Dočasné selhání při zjišťování „security.ubuntu.com“
Ign:5 http://nl.archive.ubuntu.com/ubuntu jammy-updates InRelease
Ign:6 http://nl.archive.ubuntu.com/ubuntu jammy-backports InRelease
Ign:2 http://nl.archive.ubuntu.com/ubuntu jammy InRelease
Ign:5 http://nl.archive.ubuntu.com/ubuntu jammy-updates InRelease
Ign:6 http://nl.archive.ubuntu.com/ubuntu jammy-backports InRelease
Err:2 http://nl.archive.ubuntu.com/ubuntu jammy InRelease
Dočasné selhání při zjišťování „nl.archive.ubuntu.com“
Err:5 http://nl.archive.ubuntu.com/ubuntu jammy-updates InRelease
Dočasné selhání při zjišťování „nl.archive.ubuntu.com“
Err:6 http://nl.archive.ubuntu.com/ubuntu jammy-backports InRelease
Dočasné selhání při zjišťování „nl.archive.ubuntu.com“
Načítají se seznamy balíků… Hotovo
Vytváří se strom závislostí… Hotovo
Načítají se stavové informace… Hotovo
42 balíků může být aktualizováno. Zobrazíte je „apt list --upgradable“.
W: Selhalo stažení http://nl.archive.ubuntu.com/ubuntu/dists/jammy/InRelease Dočasné selhání při zjišťování „nl.archive.ubuntu.com“
W: Selhalo stažení http://nl.archive.ubuntu.com/ubuntu/dists/jammy-updates/InRelease Dočasné selhání při zjišťování „nl.archive.ubuntu.com“
W: Selhalo stažení http://nl.archive.ubuntu.com/ubuntu/dists/jammy-backports/InRelease Dočasné selhání při zjišťování „nl.archive.ubuntu.com“
W: Selhalo stažení http://security.ubuntu.com/ubuntu/dists/jammy-security/InRelease Dočasné selhání při zjišťování „security.ubuntu.com“
W: Selhalo stažení https://repo.protonvpn.com/debian/dists/stable/InRelease Dočasné selhání při zjišťování „repo.protonvpn.com“
W: Selhalo stažení https://ppa.launchpadcontent.net/unit193/encryption/ubuntu/dists/jammy/InRelease Dočasné selhání při zjišťování „ppa.launchpadcontent.net“
W: Některé indexové soubory se nepodařilo stáhnout. Jsou ignorovány, nebo jsou použity starší verze.

Tak v první řadě, nestahují se ti repozitáře, takže cokoli je problém dál, to nemá smysl řešit.

W: Selhalo stažení http://nl.archive.ubuntu.com/ubuntu/dists/jammy/InRelease Dočasné selhání při zjišťování „nl.archive.ubuntu.com“
W: Selhalo stažení http://nl.archive.ubuntu.com/ubuntu/dists/jammy-updates/InRelease Dočasné selhání při zjišťování „nl.archive.ubuntu.com“
W: Selhalo stažení http://nl.archive.ubuntu.com/ubuntu/dists/jammy-backports/InRelease Dočasné selhání při zjišťování „nl.archive.ubuntu.com“
W: Selhalo stažení http://security.ubuntu.com/ubuntu/dists/jammy-security/InRelease Dočasné selhání při zjišťování „security.ubuntu.com“
W: Selhalo stažení https://repo.protonvpn.com/debian/dists/stable/InRelease Dočasné selhání při zjišťování „repo.protonvpn.com“
W: Selhalo stažení https://ppa.launchpadcontent.net/unit193/encryption/ubuntu/dists/jammy/InRelease Dočasné selhání při zjišťování „ppa.launchpadcontent.net“

Až vyřešíš toto (nechápu proč třeba stahuješ z Nizozemí), proč používáš ProtonVPN atd.
Pokud sis tam tato repa přidal sám, musíš si jejich údržbu rovněž zajitit sám.

sudo apt upgrade

Načítají se seznamy balíků… Hotovo
Vytváří se strom závislostí… Hotovo
Načítají se stavové informace… Hotovo
Propočítává se aktualizace… Hotovo
Try Ubuntu Pro beta with a free personal subscription on up to 5 machines.
Learn more at https://ubuntu.com/pro
Následující balíky jsou podrženy v aktuální verzi:
snapd
Následující balíky budou aktualizovány:
fonts-opensymbol libpulse-mainloop-glib0 libpulse0 libpulsedsp
libreoffice-base-core libreoffice-calc libreoffice-common libreoffice-core
libreoffice-draw libreoffice-gnome libreoffice-gtk3 libreoffice-help-common
libreoffice-help-cs libreoffice-help-en-gb libreoffice-help-en-us
libreoffice-help-nl libreoffice-impress libreoffice-l10n-cs
libreoffice-l10n-en-gb libreoffice-l10n-en-za libreoffice-l10n-nl
libreoffice-math libreoffice-ogltrans libreoffice-pdfimport
libreoffice-style-breeze libreoffice-style-colibre
libreoffice-style-elementary libreoffice-style-yaru libreoffice-writer
libuno-cppu3 libuno-cppuhelpergcc3-3 libuno-purpenvhelpergcc3-3 libuno-sal3
libuno-salhelpergcc3-3 pulseaudio pulseaudio-module-bluetooth
pulseaudio-utils python3-uno sudo uno-libs-private ure
41 aktualizováno, 0 nově instalováno, 0 k odstranění a 1 neaktualizováno.
34 standard LTS security updates
Nutno stáhnout 2.242 kB/126 MB archivů.
Po této operaci bude na disku použito dalších 32,8 kB.
Chcete pokračovat? [Y/n] y
Ign:1 http://nl.archive.ubuntu.com/ubuntu jammy-updates/main amd64 pulseaudio-module-bluetooth amd64 1:15.99.1+dfsg1-1ubuntu2
Ign:2 http://nl.archive.ubuntu.com/ubuntu jammy-updates/main amd64 libpulsedsp amd64 1:15.99.1+dfsg1-1ubuntu2
Ign:3 http://nl.archive.ubuntu.com/ubuntu jammy-updates/main amd64 libpulse-mainloop-glib0 amd64 1:15.99.1+dfsg1-1ubuntu2
Ign:4 http://nl.archive.ubuntu.com/ubuntu jammy-updates/main amd64 pulseaudio-utils amd64 1:15.99.1+dfsg1-1ubuntu2
Ign:5 http://nl.archive.ubuntu.com/ubuntu jammy-updates/main amd64 pulseaudio amd64 1:15.99.1+dfsg1-1ubuntu2
Ign:6 http://nl.archive.ubuntu.com/ubuntu jammy-updates/main amd64 libpulse0 amd64 1:15.99.1+dfsg1-1ubuntu2
Ign:7 http://nl.archive.ubuntu.com/ubuntu jammy-updates/main amd64 sudo amd64 1.9.9-1ubuntu2.1
Ign:1 http://nl.archive.ubuntu.com/ubuntu jammy-updates/main amd64 pulseaudio-module-bluetooth amd64 1:15.99.1+dfsg1-1ubuntu2
Ign:2 http://nl.archive.ubuntu.com/ubuntu jammy-updates/main amd64 libpulsedsp amd64 1:15.99.1+dfsg1-1ubuntu2
Ign:3 http://nl.archive.ubuntu.com/ubuntu jammy-updates/main amd64 libpulse-mainloop-glib0 amd64 1:15.99.1+dfsg1-1ubuntu2
Ign:4 http://nl.archive.ubuntu.com/ubuntu jammy-updates/main amd64 pulseaudio-utils amd64 1:15.99.1+dfsg1-1ubuntu2
Ign:5 http://nl.archive.ubuntu.com/ubuntu jammy-updates/main amd64 pulseaudio amd64 1:15.99.1+dfsg1-1ubuntu2
Ign:6 http://nl.archive.ubuntu.com/ubuntu jammy-updates/main amd64 libpulse0 amd64 1:15.99.1+dfsg1-1ubuntu2
Ign:7 http://nl.archive.ubuntu.com/ubuntu jammy-updates/main amd64 sudo amd64 1.9.9-1ubuntu2.1
Ign:1 http://nl.archive.ubuntu.com/ubuntu jammy-updates/main amd64 pulseaudio-module-bluetooth amd64 1:15.99.1+dfsg1-1ubuntu2
Ign:2 http://nl.archive.ubuntu.com/ubuntu jammy-updates/main amd64 libpulsedsp amd64 1:15.99.1+dfsg1-1ubuntu2
Ign:3 http://nl.archive.ubuntu.com/ubuntu jammy-updates/main amd64 libpulse-mainloop-glib0 amd64 1:15.99.1+dfsg1-1ubuntu2
Ign:4 http://nl.archive.ubuntu.com/ubuntu jammy-updates/main amd64 pulseaudio-utils amd64 1:15.99.1+dfsg1-1ubuntu2
Ign:5 http://nl.archive.ubuntu.com/ubuntu jammy-updates/main amd64 pulseaudio amd64 1:15.99.1+dfsg1-1ubuntu2
Ign:6 http://nl.archive.ubuntu.com/ubuntu jammy-updates/main amd64 libpulse0 amd64 1:15.99.1+dfsg1-1ubuntu2
Ign:7 http://nl.archive.ubuntu.com/ubuntu jammy-updates/main amd64 sudo amd64 1.9.9-1ubuntu2.1
Err:1 http://nl.archive.ubuntu.com/ubuntu jammy-updates/main amd64 pulseaudio-module-bluetooth amd64 1:15.99.1+dfsg1-1ubuntu2
Dočasné selhání při zjišťování „nl.archive.ubuntu.com“
Err:2 http://nl.archive.ubuntu.com/ubuntu jammy-updates/main amd64 libpulsedsp amd64 1:15.99.1+dfsg1-1ubuntu2
Dočasné selhání při zjišťování „nl.archive.ubuntu.com“
Err:3 http://nl.archive.ubuntu.com/ubuntu jammy-updates/main amd64 libpulse-mainloop-glib0 amd64 1:15.99.1+dfsg1-1ubuntu2
Dočasné selhání při zjišťování „nl.archive.ubuntu.com“
Err:4 http://nl.archive.ubuntu.com/ubuntu jammy-updates/main amd64 pulseaudio-utils amd64 1:15.99.1+dfsg1-1ubuntu2
Dočasné selhání při zjišťování „nl.archive.ubuntu.com“
Err:5 http://nl.archive.ubuntu.com/ubuntu jammy-updates/main amd64 pulseaudio amd64 1:15.99.1+dfsg1-1ubuntu2
Dočasné selhání při zjišťování „nl.archive.ubuntu.com“
Err:6 http://nl.archive.ubuntu.com/ubuntu jammy-updates/main amd64 libpulse0 amd64 1:15.99.1+dfsg1-1ubuntu2
Dočasné selhání při zjišťování „nl.archive.ubuntu.com“
Err:7 http://nl.archive.ubuntu.com/ubuntu jammy-updates/main amd64 sudo amd64 1.9.9-1ubuntu2.1
Dočasné selhání při zjišťování „nl.archive.ubuntu.com“
E: Selhalo stažení http://nl.archive.ubuntu.com/ubuntu/pool/main/p/pulseaudio/pulseaudio-module-bluetooth_15.99.1%2bdfsg1-1ubuntu2_amd64.deb Dočasné selhání při zjišťování „nl.archive.ubuntu.com“
E: Selhalo stažení http://nl.archive.ubuntu.com/ubuntu/pool/main/p/pulseaudio/libpulsedsp_15.99.1%2bdfsg1-1ubuntu2_amd64.deb Dočasné selhání při zjišťování „nl.archive.ubuntu.com“
E: Selhalo stažení http://nl.archive.ubuntu.com/ubuntu/pool/main/p/pulseaudio/libpulse-mainloop-glib0_15.99.1%2bdfsg1-1ubuntu2_amd64.deb Dočasné selhání při zjišťování „nl.archive.ubuntu.com“
E: Selhalo stažení http://nl.archive.ubuntu.com/ubuntu/pool/main/p/pulseaudio/pulseaudio-utils_15.99.1%2bdfsg1-1ubuntu2_amd64.deb Dočasné selhání při zjišťování „nl.archive.ubuntu.com“
E: Selhalo stažení http://nl.archive.ubuntu.com/ubuntu/pool/main/p/pulseaudio/pulseaudio_15.99.1%2bdfsg1-1ubuntu2_amd64.deb Dočasné selhání při zjišťování „nl.archive.ubuntu.com“
E: Selhalo stažení http://nl.archive.ubuntu.com/ubuntu/pool/main/p/pulseaudio/libpulse0_15.99.1%2bdfsg1-1ubuntu2_amd64.deb Dočasné selhání při zjišťování „nl.archive.ubuntu.com“
E: Selhalo stažení http://nl.archive.ubuntu.com/ubuntu/pool/main/s/sudo/sudo_1.9.9-1ubuntu2.1_amd64.deb Dočasné selhání při zjišťování „nl.archive.ubuntu.com“
E: Nelze stáhnout některé archivy. Možná spusťte apt-get update nebo zkuste --fix-missing?

To co tady vypisujes je jen jak poustis aktualizace systemu.
Jak te jiz spravnym smerem slusne nasmeroval Touchwood, mas se podivat do ERROR LOG, do chybovych hlasek.
Systemove jsou zpravidla pod /var/log/syslog

• Jestli ti jde o ten TOR browse bych doporucil pouzit nehlednout pres journalctl :

sudo journalctl -u tor@default

• Nebo zkratka spustit a sledovat protokoli chyby primo v terminalu prikazem s vypisem (verbose) typu :

‪./start-tor-browser.desktop --verbose

• Popripade jestli chces aby se ti LOG ukladal do souboru tak :

‪./start-tor-browser.desktop --log muj_TOR_LOG.txt

Aktualizace spouštím, ale nefungují a nevím proč? Myslel jsem, jestli se to z toho dá vyčíst?

Tak na tom jednom jsem obnovil předchozí stav díky Time Shift a Firefox a Brave již fungují normálně, aktualizace také. TOR jsem odinstaloval a zkusím ho nainstalovat znovu.

Potřeboval bych zjistit, jaké je jádro v tom notebooku a potom nějak nainstalovat opravnou verzi. Nevím tedy přesně jak? Zkoušel jsem po restartu ESC a v GRUBU zadat písmeno c, ale nereaguje, aby mi to ukázalo současné a předchozí jádra.

Zatím jsem si pouze stáhl https://cdn.kernel.org/pub/linux/kernel/v6.x/linux-6.0.3.tar.xz a rozbalil do složky na ploše.

Tady https://nukib.cz/cs/infoservis/hrozby/1894-upozornujeme-na-zavaznou-zranitelnost-wi-fi-v-linuxovem-jadru/

sice nepíší o 6.0.3, ale předpokládám, že tam by to mělo být v pořádku?

Ten druhý má malý disk a záloha od Time Shift se tam nevešla. Tak na něm se zkusím podívat na ty chybové hlášky v TORU

Aktualizace spouštím, ale nefungují a nevím proč? Myslel jsem, jestli se to z toho dá vyčíst?

Na konci ti to vypisuje aby jsi zadal --fix-missing, zkusil jsi to ?

 apt-get update --fix-missing

Aktualni verzi jadra (Kernel) zobrazis prikazem :

uname -a

Muzu se zeptat, proc sam stahujes nejake verze Kernel a pokousis se je instalovat ?
Jelikoz vypadas ze s tim spis zapasis jak neco resis, pomuzu ti aspon s tim jadrem.
Urcite pro tebe bude jednoduzsi pouzit spravu jadra + moznosti down/Up-Grade etc pomoci UKUU s GUI:
[ukuu-gui.png]
UKUU na stahnuti zde : [GitHub] https://github.com/teejee2008/ukuu
https://doc.ubuntu-fr.org/ubuntu_kernel_upgrade_utility

Protože se mají podle Úřadu pro kybernetickou bezpečnost dát opravné verze jádra. Jejich označení níže.

Upozorňujeme na závažnou zranitelnost Wi-Fi v linuxovém jádru, označenou identifikátory CVE-2022-41674, CVE-2022-42719, CVE-2022-42720, CVE-2022-42721 a CVE-2022-42722, zatím bez hodnocení CVSS. Ke zneužití zranitelnosti u zařízení stačí pouze zapnutá Wi-Fi.

Tato zranitelnost může způsobit:

vzdálené spuštění kódu kvůli heap overflow, nebo použití paměti po uvolnění při zpracování 802.11. beacon rámce od verze 5.1 a 5.2,
Denial of Service při zpracování 802.11 beacon rámce od verze 5.1 a 5.8.

Mitigace zranitelnosti

Byly vydány opravné verze jádra:

6.0.2
5.19.16
5.15.74
5.10.148
5.4.218

Aktualizaci jádra doporučujeme provést co nejdříve a do nasazení opravy doporučujeme vypnout Wi-Fi u všech zranitelných zařízení.

apt-get update --fix-missing
Načítají se seznamy balíků… Hotovo
E: Nešlo otevřít zámkový soubor /var/lib/apt/lists/lock - open (13: Operace zamítnuta)
E: Nelze uzamknout adresář /var/lib/apt/lists/
W: Problém při odstraňování souboru /var/cache/apt/pkgcache.bin - RemoveCaches (13: Operace zamítnuta)
W: Problém při odstraňování souboru /var/cache/apt/srcpkgcache.bin - RemoveCaches (13: Operace zamítnuta)

5.15.0-52-generic #58-Ubuntu SMP Thu Oct 13 08:03:55 UTC 2022 x86_64 x86_64 x86_64 GNU/Linux

$ sudo apt-get update --fix-missing
Mám:1 http://nl.archive.ubuntu.com/ubuntu jammy InRelease
Mám:2 https://repo.protonvpn.com/debian stable InRelease
Mám:3 http://nl.archive.ubuntu.com/ubuntu jammy-updates InRelease
Ign:4 https://ppa.launchpadcontent.net/teejee2008/ppa/ubuntu jammy InRelease
Mám:5 http://security.ubuntu.com/ubuntu jammy-security InRelease
Mám:6 http://nl.archive.ubuntu.com/ubuntu jammy-backports InRelease
Mám:7 https://ppa.launchpadcontent.net/unit193/encryption/ubuntu jammy InRelease
Err:8 https://ppa.launchpadcontent.net/teejee2008/ppa/ubuntu jammy Release
404 Not Found [IP: 185.125.190.52 443]
Načítají se seznamy balíků… Hotovo
E: Repositář „https://ppa.launchpadcontent.net/teejee2008/ppa/ubuntu jammy Release“ neobsahuje soubor Release.
N: Aktualizaci z takového repositáře nelze provést zabezpečeně a je proto implicitně zakázána.
N: Podrobnosti o vytváření a nastavení repositářů naleznete v manuálové stránce apt-secure(8).

Tady jsem nikde ten řádek nenašel https://ppa.launchpadcontent.net/teejee2008/ppa/ubuntu

GNU nano 6.2 /etc/apt/sources.list
## review or updates from the Ubuntu security team.
deb http://nl.archive.ubuntu.com/ubuntu/ jammy universe
# deb-src http://nl.archive.ubuntu.com/ubuntu/ jammy universe
deb http://nl.archive.ubuntu.com/ubuntu/ jammy-updates universe
# deb-src http://nl.archive.ubuntu.com/ubuntu/ jammy-updates universe

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://nl.archive.ubuntu.com/ubuntu/ jammy multiverse
# deb-src http://nl.archive.ubuntu.com/ubuntu/ jammy multiverse
deb http://nl.archive.ubuntu.com/ubuntu/ jammy-updates multiverse
# deb-src http://nl.archive.ubuntu.com/ubuntu/ jammy-updates multiverse

## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
deb http://nl.archive.ubuntu.com/ubuntu/ jammy-backports main restricted universe multiverse
# deb-src http://nl.archive.ubuntu.com/ubuntu/ jammy-backports main restricted universe multiverse

deb http://security.ubuntu.com/ubuntu jammy-security main restricted
# deb-src http://security.ubuntu.com/ubuntu jammy-security main restricted
deb http://security.ubuntu.com/ubuntu jammy-security universe
# deb-src http://security.ubuntu.com/ubuntu jammy-security universe
deb http://security.ubuntu.com/ubuntu jammy-security multiverse
# deb-src http://security.ubuntu.com/ubuntu jammy-security multiverse

# This system was installed using small removable media
# (e.g. netinst, live or single CD). The matching "deb cdrom"
# entries were disabled at the end of the installation process.
# For information about how to configure apt package sources,
# see the sources.list(5) manual.

A tenhle starší jednoduchý návod nelze pro tento případ použít?

Pres "mode rescue" do ktereho se dostane pridrzenim klavesnice ESC nebo SHIFT pri startu OS + napsat "c" pro vstup do mode rescue po spusteni konsole.
Jestli vidi GRUB obrazovku kde se vybira verze jadraL, tak at nevoli posledni, ale nejaky co je v poradi predtim,

ježiš neřeš různá jádra, řeš repozitáře...

hoď sem obsah tvého sources.list

tohle je generický seznam bez nějakých nizozemských mirrorů:

deb http://archive.ubuntu.com/ubuntu/ jammy main restricted universe multiverse
# deb-src http://archive.ubuntu.com/ubuntu/ jammy main restricted universe multiverse

deb http://archive.ubuntu.com/ubuntu/ jammy-updates main restricted universe multiverse
# deb-src http://archive.ubuntu.com/ubuntu/ jammy-updates main restricted universe multiverse

deb http://archive.ubuntu.com/ubuntu/ jammy-security main restricted universe multiverse
# deb-src http://archive.ubuntu.com/ubuntu/ jammy-security main restricted universe multiverse

deb http://archive.ubuntu.com/ubuntu/ jammy-backports main restricted universe multiverse
# deb-src http://archive.ubuntu.com/ubuntu/ jammy-backports main restricted universe multiverse

deb http://archive.canonical.com/ubuntu/ jammy partner
# deb-src http://archive.canonical.com/ubuntu/ jammy partner

Jen doplnim, ze ho muze nahrat/nahradit vychozim sources.list :
https://gist.github.com/ishad0w/2187a4eaab9273387645ac11905aca68

sudo wget https://gist.githubusercontent.com/ishad0w/2187a4eaab9273387645ac11905aca68/raw/ae20b6e9c8e987081d6c15b9085b549505ea85e8/sources.list -O /etc/apt/sources.list

V jeho pripade mi prijde stahovani a instalace jadra zbytecna, nova verze s opravnym patchem mu prijde verejnym kanalem pres systemove aktualizace.

Jasně že se to dá vyčíst.

Err:1 http://nl.archive.ubuntu.com/ubuntu jammy-updates/main amd64 pulseaudio-module-bluetooth amd64 1:15.99.1+dfsg1-1ubuntu2
Dočasné selhání při zjišťování „nl.archive.ubuntu.com“
Err:2 http://nl.archive.ubuntu.com/ubuntu jammy-updates/main amd64 libpulsedsp amd64 1:15.99.1+dfsg1-1ubuntu2
Dočasné selhání při zjišťování „nl.archive.ubuntu.com“
Err:3 http://nl.archive.ubuntu.com/ubuntu jammy-updates/main amd64 libpulse-mainloop-glib0 amd64 1:15.99.1+dfsg1-1ubuntu2
Dočasné selhání při zjišťování „nl.archive.ubuntu.com“
Err:4 http://nl.archive.ubuntu.com/ubuntu jammy-updates/main amd64 pulseaudio-utils amd64 1:15.99.1+dfsg1-1ubuntu2
Dočasné selhání při zjišťování „nl.archive.ubuntu.com“
Err:5 http://nl.archive.ubuntu.com/ubuntu jammy-updates/main amd64 pulseaudio amd64 1:15.99.1+dfsg1-1ubuntu2
Dočasné selhání při zjišťování „nl.archive.ubuntu.com“
Err:6 http://nl.archive.ubuntu.com/ubuntu jammy-updates/main amd64 libpulse0 amd64 1:15.99.1+dfsg1-1ubuntu2
Dočasné selhání při zjišťování „nl.archive.ubuntu.com“
Err:7 http://nl.archive.ubuntu.com/ubuntu jammy-updates/main amd64 sudo amd64 1.9.9-1ubuntu2.1
Dočasné selhání při zjišťování „nl.archive.ubuntu.com“
E: Selhalo stažení http://nl.archive.ubuntu.com/ubuntu/pool/main/p/pulseaudio/pulseaudio-module-bluetooth_15.99.1%2bdfsg1-1ubuntu2_amd64.deb Dočasné selhání při zjišťování „nl.archive.ubuntu.com“
E: Selhalo stažení http://nl.archive.ubuntu.com/ubuntu/pool/main/p/pulseaudio/libpulsedsp_15.99.1%2bdfsg1-1ubuntu2_amd64.deb Dočasné selhání při zjišťování „nl.archive.ubuntu.com“
E: Selhalo stažení http://nl.archive.ubuntu.com/ubuntu/pool/main/p/pulseaudio/libpulse-mainloop-glib0_15.99.1%2bdfsg1-1ubuntu2_amd64.deb Dočasné selhání při zjišťování „nl.archive.ubuntu.com“
E: Selhalo stažení http://nl.archive.ubuntu.com/ubuntu/pool/main/p/pulseaudio/pulseaudio-utils_15.99.1%2bdfsg1-1ubuntu2_amd64.deb Dočasné selhání při zjišťování „nl.archive.ubuntu.com“
E: Selhalo stažení http://nl.archive.ubuntu.com/ubuntu/pool/main/p/pulseaudio/pulseaudio_15.99.1%2bdfsg1-1ubuntu2_amd64.deb Dočasné selhání při zjišťování „nl.archive.ubuntu.com“
E: Selhalo stažení http://nl.archive.ubuntu.com/ubuntu/pool/main/p/pulseaudio/libpulse0_15.99.1%2bdfsg1-1ubuntu2_amd64.deb Dočasné selhání při zjišťování „nl.archive.ubuntu.com“
E: Selhalo stažení http://nl.archive.ubuntu.com/ubuntu/pool/main/s/sudo/sudo_1.9.9-1ubuntu2.1_amd64.deb Dočasné selhání při zjišťování „nl.archive.ubuntu.com“
E: Nelze stáhnout některé archivy. Možná spusťte apt-get update nebo zkuste --fix-missing?
snimek-obrazovky-z-2022-10-23-12.png

Dočasné selhání při zjišťování „nl.archive.ubuntu.com = tvůj klient nedokáže kontaktovat repo, které sis nastavil a stáhnout z něj balíky, které potřebuje.

Zpět do poradny Odpovědět na původní otázku Nahoru